jQuery(document).ready(function ($) {

	// Email validation
	$.validator.addMethod("email_valid", function(value, element)
	{
	   return this.optional(element) || value.match( /^[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}$/);
	}, "Please enter a valid email address");



	//validation for Filter
	$('#btnfilter').click(function(){

		var filter = $('#filter').val();

		if(filter=='')
		{
			alert('Please enter search field');
			$('#filter').focus();
			return false;
		}else
		{
			$('#frmFilter').submit();
		}

	});

	//validation for Checkall
	$('#frmcheck').submit(function(){
		if ( $('input[name="chk[]"]').is(':checked') ) {
			$('#frmcheck').submit();
		}
		else {
			alert("Please check atleast one ckeckbox");
			$('#txtchk').focus();
			return false;
		}
	});

	//validation for editprofile
	var validator_editprofile = $("#frmeditprofile").validate({
		rules: {
			txtUsername     : "required",
			txtEmail		: { required:true, email_valid:true},
			txtWebsite      : "required",
			logo_image	    : { required : function() { return ($('#hndProcess').val()=='Modify'?false:true)},accept : "jpg|jpeg|gif|png"},
			favicon_image   : { required : function() { return ($('#hndProcess').val()=='Modify'?false:true)},accept : "jpg|jpeg|gif|png"},
			txtSignature	:  "required"
		},
		messages: {
			txtUsername     : "Please enter user name",
			txtEmail		: { required:"Please enter email address", email_valid: "Please enter valid email address"},
			txtWebsite 		: "Please enter website",
			logo_image		: {required : "Please upload logo image",accept : "File formate should be jpg|gif|png"},
			favicon_image	: {required : "Please upload favicon image",accept : "File formate should be jpg|gif|png"},
			txtSignature	: "Please enter signature"

		}
	});

	//validation for change password
	var validator_changepassword = $("#frmchangepassword").validate({
	rules: {
			current_admin_password	:	{required:true},
			new_admin_password		: 	"required",
			confirm_admin_password	: 	{required : true,equalTo : "#new_admin_password"}

		},
		messages: {
			current_admin_password		: { required:"Please enter current password"},
			new_admin_password			: { required:"Please enter new password"},
			confirm_admin_password		: { required:"Please enter confirm password",	equalTo: "Please enter equal password"	}

		}
	});

	// validation for admin user
	var validator_viewadminuser = $("#frmviewadminuser").validate({
		rules: {
			txtUsername     : "required",
			txtPassword		: {required : function() { return ($('#hndProcess').val()=='Modify'?false:true)}},
			txtEmail		: {required:true, email_valid:true},
			'chkPermission[]'	: {required: true, maxlength: 5},
			txtstatus	    : "required"
		},
		messages: {
			txtUsername     : "Please enter user name",
			txtPassword		: {required : "Please enter password"},
			txtEmail		: {required:"Please enter email address", email_valid: "Please enter valid email address"},
			'chkPermission[]': {required: "Please enter permission",maxlength: "Check no more than {5} boxes"},
			txtstatus		: "Please select active status"

		}
	});


// validation for districtblock

	var validator_districtblock = $("#frmdistrictblock").validate({
		rules: {
			selAssembly     : "required",
			txtDistrctblock	: "required",
			txtstatus	    : "required"
		},
		messages: {
			selAssembly     : "Please select assembly",
			txtDistrctblock	: "Please enter district block",
			txtstatus		: "Please select active status"

		}
	});



// validation wardbooth

	var validator_wardbooth = $("#frmwardbooth").validate({
		rules: {
			selAssembly     : "required",
			txtWardbooth	: "required",
			txtstatus	    : "required"
		},
		messages: {
			selAssembly     : "Please select assembly",
			txtWardbooth	: "Please enter booth name",
			txtstatus		: "Please select active status"

		}
	});

// validation ward name

	var validator_wardname = $("#frmwardname").validate({
		rules: {
			selAssembly     : "required",
			selWardbooth	: "required",
			txtWardname		: "required",
			txtstatus	    : "required"
		},
		messages: {
			selAssembly     : "Please select assembly",
			selWardbooth	: "Please select booth name",
			txtWardname		: "Please enter ward name",
			txtstatus		: "Please select active status"

		}
	});
	
// validation distrit body name
		var validator_districtbodyname= $("#frmdistrictbodyname").validate({
			rules: {
				txtDistrictbodyname	: 	"required",
				txtstatus			: 	"required"
			},
			messages: {
	            txtDistrictbodyname	: 	"Please enter district body name",
				txtstatus			: 	"Please select enable status"
			}

		});
		
// validation posting name
		var validator_posting = $("#frmpostingname").validate({
			rules: {
				txtPostingname		: 	"required",
				txtstatus			: 	"required"
			},
			messages: {
	            txtPostingname		: 	"Please enter posting name",
				txtstatus			: 	"Please select enable status"
			}

		});
		

	


///validation member
	var validator_member= $("#frmMember").validate({
		rules: {
			txtName			:	"required",
			txtDob			: 	"required",
			rdMarital		: 	"required",
			rdGender		: 	"required",
			txtEducation 	: 	"required",
			txtOcc			: 	"required",
			selincome		: 	"required",
			txtAddress 		: 	"required",
			txtPincode		: 	"required",
			txtMobile		: 	"required",
			txtEmail		: 	{ required:true, email_valid:true},
			txtVoter		: 	"required",
			txtaadhar		: 	"required",
			txtDistrict		: 	"required",
			txtCity			: 	"required",
			txtBoothnumber	: 	"required",
			txtWardname		: 	"required",
			txtWardo		: 	"required",
			txtstatus		: 	"required"
		},
		messages: {
            txtName			:	"Please enter the name",
			txtDob			: 	"Please enter the date of birth",
			rdMarital		: 	"Please select the martial status",
			rdGender		: 	"Please enter the gender",
			txtEducation 	: 	"please enter the education",
			txtOcc        	: 	"please enter the occupation",
			selincome		: 	"please select the income",
			txtAddress		: 	"please enter the address",
			txtPincode		: 	"please enter the pincode",
			txtMobile		: 	"please enter the mobile",
			txtEmail		:	{required:"Please enter the email address", email_valid: "Please enter the valid email address"},
			txtVoter		: 	"please enter the voyer id",
			txtaadhar		: 	"please enter the aadhar id",
			txtDistrict		: 	"Please enter district",
			txtCity			: 	"Please enter the city",
			txtBoothnumber	:	"please select the boot name",
			txtWardname		: 	"please select the ward name",
			txtWardo		: 	"please select the ward no",	
			txtstatus		: 	"Please select enable status"

            }

	}); 
	
	
///validation district body posting
			var validator_districtbodyposting= $("#frmdistrictbodyposting").validate({
				rules: {
					selMember				:	"required",
					selDistrictbodyname		: 	"required",
					selPostingname			: 	"required",
					txtstatus				: 	"required"
				},
				messages: {
					selMember				:	"Please select the member",
					selDistrictbodyname		: 	"Please enter the district",
					selPostingname			: 	"Please enter the legislative",
					txtstatus				: 	"Please select enable status"
				}

			});
				

		///validation booth secratory
			var validator_boothsecretaryretary= $("#frmboothsecretaryretary").validate({
				rules: {
					selMember			:	"required",
					selAssembly			: 	"required",
					selLocalbody		: 	"required",
					selWardbooth		: 	"required",
					txtstatus			: 	"required"
				},
				messages: {
					selMember			:	"Please select the member",
					selAssembly			: 	"Please enter the assembly",
					selLocalbody		: 	"Please enter the local body",
					selWardbooth		: 	"Please enter the booth name",
					txtstatus			: 	"Please select enable status"
				}

			});
			
			
///validation booth committee
			var validator_boothcommittee = $("#frmboothcommittee").validate({
				rules: {
						selMember			:	"required",
						selAssembly			: 	"required",
						selLocalbody		: 	"required",
						selWardbooth      	: 	"required",
						txtstatus			: 	"required"
				},
				messages: {
					selMember				:	"Please select the member",
					selAssembly				: 	"Please enter the assembly",
					selLocalbody			: 	"Please enter the local body",
					selWardbooth      		: 	"Please enter the booth name",
					txtstatus				: 	"Please select enable status"
										}

			});
	
// page validation

	
	var validator_page = $("#frmPage").validate({
		rules: {
			txtMenu			:	"required",
			editor		: {
                    required: function()
                    {
                    CKEDITOR.instances['editor'].updateElement();
                    }
                    },
			txtstatus		: 	"required"
		},

		messages: {
      		txtMenu			:	"Please enter your title",
			editor      	: 	"Please enter detail",
			txtstatus		: 	"Please select enable status"
                },
								errorPlacement: function(error, element)
				                {
				                    if (element.attr("name") == "editor")
				                   {
				                    error.insertAfter("textarea#editor");
				                    } else {
				                    error.insertAfter(element);
				                    }

				                }
			});

			
// banner validation			
	var banner = $("#frmbanner").validate({

		rules: {
				txtTitle		: "required",
				ban_image  		: { required : function() { return ($('#hndProcess').val()=='Modify'?false:true)},accept : "jpg|jpeg|gif|png"},
				txtstatus     	: "required"
				},
			messages: {
				txtstatus    	: "Please enter the title",
				ban_image 		: {required : "Please upload image",accept : "File formate should be jpg|gif|png"},
				txtstatus    	: "Please select active status"
			}
	});

// gallery validation			
	var banner = $("#frmGallery").validate({

		rules: {
				txtTitle		: "required",
				gallery_image  	: { required : function() { return ($('#hndProcess').val()=='Modify'?false:true)},accept : "jpg|jpeg|gif|png"},
				txtstatus     	: "required"
				},
			messages: {
				txtstatus    	: "Please enter the title",
				gallery_image 		: {required : "Please upload image",accept : "File formate should be jpg|gif|png"},
				txtstatus    	: "Please select active status"
			}
	});
	
// news validation
	
	var validator_news= $("#frmnews").validate({
		rules: {
			txtTitle		: 	"required",
			txtstatus			: 	"required",
			editor		: {
                    required: function()
                    {
                    CKEDITOR.instances['editor'].updateElement();
                    }
                    }

			
                },
		messages: {
            txtTitle		:	"Please enter your Title",
			txtstatus			: 	"Please select enable status"
                },
				errorPlacement: function(error, element)
                {
                    if (element.attr("name") == "editor")
                   {
                    error.insertAfter("textarea#editor");
                    } else {
                    error.insertAfter(element);
                    }

                }
			
	});


//change username
var validator_login = $("#frmchangeuser").validate({
	rules: {
			current_admin_username      : "required",
			admin_username    		    : "required",
			},
		messages: {
			current_admin_username      : "Please enter current name",
			admin_username 	  			: "Please enter new name",
		}
});

	///validation for Login page
	var validator_login = $("#frmviewlogin").validate({
		rules: {
				txtMenuname         : "required",
				txtLink        		: "required",
				txtstatus       	: "required"
				},
			messages: {
				txtMenuname       	: "Please enter Menu Name",
				txtLink 	  		: "Please enter Link",
				txtstatus     		: "Please select active status"
			}
	});






});
